using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using Keyoti.RapidSpell;

namespace WindowsApplication2
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class Form1 : System.Windows.Forms.Form
	{
		private TXTextControl.TextControl textControl1;
		private TXTextControl.TextControl textControl2;
		private System.Windows.Forms.Button button1;
		private Keyoti.RapidSpell.TXTextControlAdapter txTextControlAdapter1;
		private Keyoti.RapidSpell.TXTextControlAdapter txTextControlAdapter2;
		private Keyoti.RapidSpell.RapidSpellAsYouType rapidSpellAsYouType1;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.ContextMenu contextMenu1;
		private System.Windows.Forms.MenuItem menuItem1;
		private System.ComponentModel.IContainer components;

		public Form1()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
			this.txTextControlAdapter1.TextControl = this.textControl1;
			this.txTextControlAdapter2.TextControl = this.textControl2;
			this.rapidSpellAsYouType1.ShowSuggestionsContextMenu = false;
			this.rapidSpellAsYouType1.SpellContextMenuRequest += new Keyoti.RapidSpell.RapidSpellAsYouType.SpellContextMenuRequestEventHandler(rapidSpellAsYouType1_SpellContextMenuRequest);
			this.rapidSpellAsYouType1.SpellContextMenuRequest += new Keyoti.RapidSpell.RapidSpellAsYouType.SpellContextMenuRequestEventHandler(rapidSpellAsYouType1_SpellContextMenuRequest2);
			button1_Click(null, null);
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			this.textControl1 = new TXTextControl.TextControl();
			this.textControl2 = new TXTextControl.TextControl();
			this.button1 = new System.Windows.Forms.Button();
			this.txTextControlAdapter1 = new Keyoti.RapidSpell.TXTextControlAdapter();
			this.txTextControlAdapter2 = new Keyoti.RapidSpell.TXTextControlAdapter();
			this.rapidSpellAsYouType1 = new Keyoti.RapidSpell.RapidSpellAsYouType(this.components);
			this.label1 = new System.Windows.Forms.Label();
			this.label2 = new System.Windows.Forms.Label();
			this.label3 = new System.Windows.Forms.Label();
			this.contextMenu1 = new System.Windows.Forms.ContextMenu();
			this.menuItem1 = new System.Windows.Forms.MenuItem();
			this.SuspendLayout();
			// 
			// textControl1
			// 
			this.textControl1.ContextMenu = this.contextMenu1;
			this.textControl1.Font = new System.Drawing.Font("Arial", 10F);
			this.textControl1.Location = new System.Drawing.Point(8, 32);
			this.textControl1.Name = "textControl1";
			this.textControl1.Size = new System.Drawing.Size(368, 88);
			this.textControl1.TabIndex = 0;
			this.textControl1.Text = "textControl1";
			// 
			// textControl2
			// 
			this.textControl2.ContextMenu = this.contextMenu1;
			this.textControl2.Font = new System.Drawing.Font("Arial", 10F);
			this.textControl2.Location = new System.Drawing.Point(8, 184);
			this.textControl2.Name = "textControl2";
			this.textControl2.Size = new System.Drawing.Size(368, 88);
			this.textControl2.TabIndex = 1;
			this.textControl2.Text = "textControl2";
			// 
			// button1
			// 
			this.button1.Location = new System.Drawing.Point(144, 128);
			this.button1.Name = "button1";
			this.button1.TabIndex = 2;
			this.button1.Text = "Switch";
			this.button1.Click += new System.EventHandler(this.button1_Click);
			// 
			// txTextControlAdapter1
			// 
			this.txTextControlAdapter1.TextControl = null;
			// 
			// txTextControlAdapter2
			// 
			this.txTextControlAdapter2.TextControl = null;
			// 
			// rapidSpellAsYouType1
			// 
			this.rapidSpellAsYouType1.AddMenuText = "Add";
			this.rapidSpellAsYouType1.AllowAnyCase = false;
			this.rapidSpellAsYouType1.AllowMixedCase = false;
			this.rapidSpellAsYouType1.CheckAsYouType = true;
			this.rapidSpellAsYouType1.CheckCompoundWords = false;
			this.rapidSpellAsYouType1.ConsiderationRange = 80;
			this.rapidSpellAsYouType1.DictFilePath = null;
			this.rapidSpellAsYouType1.GUILanguage = Keyoti.RapidSpell.LanguageType.ENGLISH;
			this.rapidSpellAsYouType1.IgnoreAllMenuText = "Ignore All";
			this.rapidSpellAsYouType1.IgnoreCapitalizedWords = false;
			this.rapidSpellAsYouType1.IgnoreURLsAndEmailAddresses = true;
			this.rapidSpellAsYouType1.IgnoreWordsWithDigits = true;
			this.rapidSpellAsYouType1.IncludeUserDictionaryInSuggestions = false;
			this.rapidSpellAsYouType1.LanguageParser = Keyoti.RapidSpell.LanguageType.ENGLISH;
			this.rapidSpellAsYouType1.LookIntoHyphenatedText = true;
			this.rapidSpellAsYouType1.SeparateHyphenWords = false;
			this.rapidSpellAsYouType1.ShowAddMenuOption = true;
			this.rapidSpellAsYouType1.ShowSuggestionsContextMenu = true;
			this.rapidSpellAsYouType1.SuggestionsMethod = Keyoti.RapidSpell.SuggestionsMethodType.HashingSuggestions;
			this.rapidSpellAsYouType1.SuggestSplitWords = true;
			this.rapidSpellAsYouType1.TextComponent = null;
			this.rapidSpellAsYouType1.UnderlineColor = System.Drawing.Color.Red;
			this.rapidSpellAsYouType1.UnderlineStyle = Keyoti.RapidSpell.UnderlineStyle.Wavy;
			this.rapidSpellAsYouType1.UserDictionaryFile = null;
			this.rapidSpellAsYouType1.V2Parser = true;
			// 
			// label1
			// 
			this.label1.Location = new System.Drawing.Point(224, 128);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(152, 23);
			this.label1.TabIndex = 3;
			this.label1.Text = "label1";
			this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(8, 8);
			this.label2.Name = "label2";
			this.label2.TabIndex = 4;
			this.label2.Text = "Text Control 1";
			this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// label3
			// 
			this.label3.Location = new System.Drawing.Point(8, 160);
			this.label3.Name = "label3";
			this.label3.TabIndex = 5;
			this.label3.Text = "Text Control 2";
			this.label3.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// contextMenu1
			// 
			this.contextMenu1.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																						 this.menuItem1});
			this.contextMenu1.Popup += new System.EventHandler(this.contextMenu1_Popup);
			// 
			// menuItem1
			// 
			this.menuItem1.Index = 0;
			this.menuItem1.Text = "my custom context menu";
			// 
			// Form1
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(384, 278);
			this.Controls.Add(this.label3);
			this.Controls.Add(this.label2);
			this.Controls.Add(this.label1);
			this.Controls.Add(this.button1);
			this.Controls.Add(this.textControl2);
			this.Controls.Add(this.textControl1);
			this.Name = "Form1";
			this.Text = "Form1";
			this.ResumeLayout(false);

		}
		#endregion
/*
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new Form1());
		}*/

		private void button1_Click(object sender, System.EventArgs e)
		{
			if (this.rapidSpellAsYouType1.TextComponent == this.txTextControlAdapter1)
			{
				this.rapidSpellAsYouType1.TextComponent = this.txTextControlAdapter2;
				label1.Text = "checking Text Control 2";
			}
			else
			{
				this.rapidSpellAsYouType1.TextComponent = this.txTextControlAdapter1;
				label1.Text = "checking Text Control 1";
			}
		}

		private void rapidSpellAsYouType1_SpellContextMenuRequest(object sender, Keyoti.RapidSpell.Event.SpellContextMenuEventArgs e)
		{
			if ((sender as RapidSpellAsYouType).TextComponent == this.txTextControlAdapter1)
				MessageBox.Show("event for text control 1");
		}
		private void rapidSpellAsYouType1_SpellContextMenuRequest2(object sender, Keyoti.RapidSpell.Event.SpellContextMenuEventArgs e)
		{
			if ((sender as RapidSpellAsYouType).TextComponent == this.txTextControlAdapter2)
				MessageBox.Show("event for text control 2");
		}

		private void contextMenu1_Popup(object sender, System.EventArgs e)
		{
			MessageBox.Show("Popup event for context menu");
		}
	}
}